> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> Check the results of your Potential Notice job through this API



## OpenAPI

````yaml api-reference/tds/analytics/openapi.json GET /tcs/analytics/potential-notices
openapi: 3.1.0
info:
  title: analytics
  version: 1.0.0
  description: ''
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tcs/analytics/potential-notices:
    get:
      tags:
        - Potential Notices
        - TCS
      summary: Fetch Potential Notice status
      parameters:
        - name: job_id
          in: query
          required: true
          description: Unique identifier of the job
          deprecated: false
          schema:
            type: string
            format: uuid
        - name: x-api-key
          in: header
          required: true
          description: API key for identification
          deprecated: false
          schema:
            type: string
        - name: authorization
          in: header
          required: true
          description: JWT access token
          deprecated: false
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API Version
          schema:
            type: string
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                            const: in.co.sandbox.tcs.analytics.potential_notices.job
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          financial_year:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          potential_notice_report_url:
                            type: string
                            format: uri
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                            const: in.co.sandbox.tcs.analytics.potential_notices.job
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          financial_year:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          validation_report_url:
                            type: string
                            format: uri
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                            const: in.co.sandbox.tcs.analytics.potential_notices.job
                          job_id:
                            type: string
                          tan:
                            type: string
                          quarter:
                            type: string
                          financial_year:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
              examples:
                200 Q2 Job Succeeded:
                  value:
                    code: 200
                    timestamp: 1763633700
                    transaction_id: f4bf8069-29c9-4e10-8c90-b4b221146b35
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 1c1e4905-d07e-4c51-b8c5-1163050ded7f
                      tan: AHMA09719B
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: succeeded
                      created_at: 1709026684599
                      updated_at: 1711544847339
                      potential_notice_report_url: >-
                        https://in-co-sandbox-tcs-analytics-potential-notices-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/45b5569c-6e1d-4cd6-aaa1-5a9c5462da23_potential_notice.xlsx
                200 Q3 Job Succeeded:
                  value:
                    code: 200
                    timestamp: 1763633700
                    transaction_id: 7d608750-469e-47a8-9b6c-d7f5d6370925
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 6588064b-38d5-4f01-b93c-795dbec4a5df
                      tan: AHMA09719B
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: succeeded
                      created_at: 1709026684599
                      updated_at: 1711544847339
                      potential_notice_report_url: >-
                        https://in-co-sandbox-tcs-analytics-potential-notices-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/45b5569c-6e1d-4cd6-aaa1-5a9c5462da23_potential_notice.xlsx
                200 Job Failed:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: e85cb0e9-0129-4ff1-93ee-404e4e0f6b8b
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 05a3f586-5b2c-4f62-9f56-6600fcf9bc85
                      tan: BLRC23456F
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: failed
                      created_at: 1709026684599
                      updated_at: 1711544847339
                      validation_report_url: >-
                        https://in-co-sandbox-tcs-analytics-potential-notices-test.s3.ap-south-1.amazonaws.com/tan/financial_year/quarter/form/653a843c-2fa2-422a-b074-875f74383125_validation_report.xlsx
                200 Job Queued:
                  value:
                    code: 200
                    timestamp: 1763633700000
                    transaction_id: 24b6c1fb-ae5c-4692-993c-00432dccb5bf
                    data:
                      '@entity': in.co.sandbox.tcs.analytics.potential_notices.job
                      job_id: 53b385f8-8d76-4a72-8ccd-b6e81648c426
                      tan: AHMA09719B
                      quarter: Q3
                      financial_year: FY 2023-24
                      status: queued
                      created_at: 1709026684599
                      updated_at: 1711544847339
        '422':
          description: 422 - Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                422 Invalid Job ID:
                  value:
                    code: 422
                    timestamp: 1763633700000
                    transaction_id: ca8411ca-e9df-4d1f-bf36-f86d9012bc8c
                    message: 'Invalid job id: 12234-555'
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                521 Data not found:
                  value:
                    code: 521
                    timestamp: 1763633700000
                    transaction_id: e35586d4-7b55-47d7-a93a-ff87f4724c8f
                    message: 'Data not found: null'

````